import RPi.GPIO as GPIO
import time

#Board layout
GPIO.setmode(GPIO.BOARD)

#Right motor pins
motor_right_fw=15
motor_right_bw=13
motor_right_pwm=18

#Left motor pins
motor_left_fw=12
motor_left_bw=11
motor_left_pwm=16

#Define the pins
#Right motor
GPIO.setup(motor_right_fw, GPIO.OUT)
GPIO.setup(motor_right_bw, GPIO.OUT)
GPIO.setup(motor_right_pwm, GPIO.OUT)
#Left motor
GPIO.setup(motor_left_fw, GPIO.OUT)
GPIO.setup(motor_left_bw, GPIO.OUT)
GPIO.setup(motor_left_pwm, GPIO.OUT)

#Both motors are off
GPIO.output(motor_right_fw, GPIO.LOW)
GPIO.output(motor_right_bw, GPIO.LOW)
GPIO.output(motor_left_fw, GPIO.LOW)
GPIO.output(motor_left_bw, GPIO.LOW)

# #Test left motor
# GPIO.output(motor_left_fw, GPIO.HIGH)
# print "GPIO is high"
# p = GPIO.PWM(motor_left_pwm, 50)
# p.start(40)
# time.sleep(1)
# p.stop()
# GPIO.output(motor_left_fw, GPIO.LOW)

# #Test right motor
# GPIO.output(motor_right_fw, GPIO.HIGH)
# print "GPIO is high"
# p = GPIO.PWM(motor_right_pwm, 50)
# p.start(40)
# time.sleep(1)
# p.stop()
# GPIO.output(motor_right_fw, GPIO.LOW)

#Test both motors
GPIO.output(motor_left_fw, GPIO.HIGH)
GPIO.output(motor_right_fw, GPIO.HIGH)

print "GPIO is high"
p_left = GPIO.PWM(motor_left_pwm, 50)
p_right = GPIO.PWM(motor_right_pwm, 50)

p_left.start(30)
p_right.start(30)

time.sleep(1)

p_left.stop()
p_right.stop()

GPIO.output(motor_left_fw, GPIO.LOW)
GPIO.output(motor_right_fw, GPIO.LOW)


#Cleanup system
GPIO.cleanup()
