from multiprocessing import Process, Value
from datetime import datetime
import time
from ctypes import c_double,c_int


def ask_timer(v,counter):
    start = datetime.now()
    i=0
    while True:
        now = datetime.now()
        delta = now - start
        s = delta.seconds + delta.microseconds / 1E6
        i+=1
        v.value = s
        counter.value=i
        time.sleep(0.01)


val = Value(c_double, 0.0)
counter= Value(c_int, 1)
p = Process(target=ask_timer, args=(val,counter))
p.start()

while True:
    print counter.value,":",val.value
    time.sleep(1)